org.eclipse.jetty.plus.annotation

## Class PreDestroyCallback

- java.lang.Object
- - org.eclipse.jetty.plus.annotation.LifeCycleCallback
  - - org.eclipse.jetty.plus.annotation.PreDestroyCallback

    public class PreDestroyCallback
    extends LifeCycleCallback

PreDestroyCallback

### Field Summary

### Fields inherited from class org.eclipse.jetty.plus.annotation.LifeCycleCallback

`__EMPTY_ARGS`

### Constructor Summary

Constructors
Constructor and Description
`PreDestroyCallback()`

### Method Summary

Methods
`void` `callback(Object instance)`
`boolean` `equals(Object o)`
`void` `validate(Class<?> clazz, Method method)` Commons Annotations Specification section 2.6: - no params to method - returns void - no checked exceptions - not static

### Methods inherited from class org.eclipse.jetty.plus.annotation.LifeCycleCallback

`findMethod, getMethodName, getTarget, getTargetClass, getTargetClassName, setTarget, setTarget`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreDestroyCallback

    public PreDestroyCallback()

### Method Detail

#### validate

    public void validate(Class<?> clazz,
                Method method)

Commons Annotations Specification section 2.6: - no params to method - returns void - no checked exceptions - not static

Specified by:
  `validate` in class `LifeCycleCallback`
See Also:
  `LifeCycleCallback.validate(java.lang.Class, java.lang.reflect.Method)`

#### callback

    public void callback(Object instance)

Overrides:
  `callback` in class `LifeCycleCallback`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `LifeCycleCallback`